OppiziDeveloper
API ReferenceTracking

Get events

Returns your events, newest first. Filter by name, value and metadata.

GET
/tracking/events

Returns your events, newest first. Filter by name, value and metadata.

Authorization

clientKey
AuthorizationBearer <token>

Your Oppizi client key. Send it as Authorization: Bearer <client-key>. Scoped to your client account only.

In: header

Query Parameters

startingAfter?string

Pagination cursor from the previous page.

limit?integer

Number of events to return (1-100, default 20).

Range1 <= value <= 100
Default20
eventName?string

Filter by event name.

value?number

Filter by event value.

Response Body

application/json

application/json

curl -X GET "https://example.com/tracking/events"
{  "success": true,  "data": {    "nodes": [      {        "id": "string",        "eventName": "Purchase",        "value": 250,        "transactionId": "string",        "currency": "USD",        "userId": "string",        "campaignId": "string",        "metricId": "string",        "coupon": "string",        "metadata": {          "orderId": 182394        },        "createdAt": "2019-08-24T14:15:22Z"      }    ],    "totalCount": 0  }}
{  "success": false,  "error": "Unauthorized"}